org.keycloak.dom.saml.v2.assertion

## Class AttributeStatementType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.StatementAbstractType
  - - org.keycloak.dom.saml.v2.assertion.AttributeStatementType

- All Implemented Interfaces:
    Serializable

      public class AttributeStatementType
      extends StatementAbstractType

  Java class for AttributeStatementType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeStatementType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}StatementAbstractType">
             <choice maxOccurs="unbounded">
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedAttribute"/>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AttributeStatementType.ASTChoiceType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<AttributeStatementType.ASTChoiceType>` | `attributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeStatementType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(AttributeStatementType.ASTChoiceType attribute)` Add an attribute
    `void` | `addAttributes(List<AttributeStatementType.ASTChoiceType> attributes)`
    `List<AttributeStatementType.ASTChoiceType>` | `getAttributes()` Gets the attributes.
    `void` | `removeAttribute(AttributeStatementType.ASTChoiceType attribute)` Remove an attribute

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributes

          protected List<AttributeStatementType.ASTChoiceType> attributes

  - ### Constructor Detail

    - #### AttributeStatementType

          public AttributeStatementType()

  - ### Method Detail

    - #### addAttribute

          public void addAttribute(AttributeStatementType.ASTChoiceType attribute)

      Add an attribute
      Parameters:
        `attribute` -

    - #### removeAttribute

          public void removeAttribute(AttributeStatementType.ASTChoiceType attribute)

      Remove an attribute
      Parameters:
        `attribute` -

    - #### getAttributes

          public List<AttributeStatementType.ASTChoiceType> getAttributes()

      Gets the attributes.
      Returns:
        a read only `List`

    - #### addAttributes

          public void addAttributes(List<AttributeStatementType.ASTChoiceType> attributes)

Copyright © 2020 JBoss by Red Hat. All rights reserved.